@ECHO OFF
REM * =========================================================== *
REM * This script is placed into the public domain by its author. *
REM * All copyrights are hereby relinquished on the routines and  *
REM * data in this file.   -- James Pujals (DZ-Jay), 2015         *
REM * =========================================================== *

REM jzIntv Emulator Run Script (INTYRUN.BAT)
REM   Created by:   DZ-Jay
REM   Last updated: 07/13/2015

SETLOCAL

REM ========================================
REM Capture arguments
REM ========================================
SET _ARG1=%1
SET _ARG2=%2
SET _ARG3=%3
SET _ARG4=%4
SET _ARG5=%5
SET _ARG6=%6
SET _ARG7=%7
SET _ARG8=%8
SET _ARG9=%9

REM ========================================
REM Execute Build Script
REM ========================================
CALL INTYBUILD.BAT %_ARG1% %_ARG2% %_ARG3% %_ARG4% %_ARG5% %_ARG6% %_ARG7% %_ARG8% %_ARG9%
	IF %ERRORLEVEL% NEQ 0 GOTO ERROR

REM ========================================
REM Execute Debugger Script
REM ========================================
CALL INTYDBUG.BAT  %_ARG1% %_ARG3% %_ARG4% %_ARG5% %_ARG6% %_ARG7% %_ARG8% %_ARG9%
	IF %ERRORLEVEL% NEQ 0 GOTO ERROR
	GOTO END

REM ========================================
REM Error Handlers
REM ========================================
:ERROR
:END
	ECHO.